%define module sdl2
%define oname PySDL2

Name:           python-%{module}
Version:        0.9.16
Release:        %mkrel 3
Summary:        Python SDL2 bindings
License:        Public Domain or CC0
Group:          Development/Python
URL:            https://github.com/py-sdl/py-sdl2
Source0:        https://pypi.io/packages/source/P/PySDL2/%{oname}-%{version}.tar.gz

BuildArch:      noarch

%description
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%package -n python3-%{module}
Summary:        Python 3.x SDL2 bindings
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires:  pkgconfig(python3)

%description -n python3-%{module}
PySDL2 is a wrapper around the SDL2 library and as such similar to the
discontinued PySDL project. In contrast to PySDL, it has no licensing
restrictions, nor does it rely on C code, but uses ctypes instead.

%prep
%autosetup -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sdl2

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS.txt README.md
%license doc/copying.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.9.16-3.mga10
+ Revision: 2239137
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.9.16-2.mga10
+ Revision: 2155919
- rebuild for python3.13

* Thu Feb 29 2024 daviddavid <daviddavid> 0.9.16-1.mga10
+ Revision: 2045662
- new version: 0.9.16

* Thu Dec 14 2023 papoteur <papoteur> 0.9.15-2.mga10
+ Revision: 2018078
- rebuild for python 3.12

* Sun Jan 15 2023 daviddavid <daviddavid> 0.9.15-1.mga9
+ Revision: 1933216
- new version: 0.9.15

* Wed Mar 23 2022 umeabot <umeabot> 0.9.11-2.mga9
+ Revision: 1823040
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 0.9.11-1.mga9
+ Revision: 1779174
- Version 0.9.11

* Sat Jul 11 2020 daviddavid <daviddavid> 0.9.7-1.mga9
+ Revision: 1604812
- new version: 0.9.7

* Sun Feb 16 2020 umeabot <umeabot> 0.9.6-5.mga8
+ Revision: 1532713
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 0.9.6-4.mga8
+ Revision: 1442808
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.9.6-3.mga7
+ Revision: 1354355
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.6-2.mga7
+ Revision: 1290012
- Mageia 7 Mass Rebuild

* Sat Dec 30 2017 akien <akien> 0.9.6-1.mga7
+ Revision: 1187782
- Version 0.9.6

* Sat Aug 05 2017 pterjan <pterjan> 0.9.5-2.mga7
+ Revision: 1135623
- Rebuild for python 3.6

* Sat Jan 21 2017 akien <akien> 0.9.5-1.mga6
+ Revision: 1082553
- imported package python-sdl2

